import { JsonClient } from "restify-clients";
import { ApiRequestCallback, ApiRequestParams, ClientOptions, DefaultBaseClientOptions, ExtendedHeaderOptions } from "../types";
export declare abstract class BaseClient {
    pathPrefix: string | undefined;
    apiOptions: DefaultBaseClientOptions;
    api: JsonClient;
    baseUrl: string;
    constructor(baseUrl: string, options: ClientOptions);
    apiCall(options: ApiRequestParams, callback: ApiRequestCallback): any;
    static defaultOptions: DefaultBaseClientOptions;
    static parseConstructorOptions(baseUrl: string, options: ClientOptions): {
        pathPrefix: string | undefined;
        apiOptions: {
            url: string;
        } & DefaultBaseClientOptions & ClientOptions;
    };
    _checkArgs(options: ApiRequestParams): void;
    _extendedHeaders(options: ExtendedHeaderOptions): {
        'x-request-id': any;
    } | {
        'x-request-id'?: undefined;
    };
}
