/// <reference types="node" />
import { ParsedUrlQueryInput } from 'querystring';
import { ApiCustomerPurchases, ApiCustomerSummary, Paginated } from '.';
export declare type ClientOptions = {
    protocol: string;
    hostname: string;
    port: number;
    pathnamePrefix?: string;
    clientId?: string;
    secret?: string;
    agent?: string;
};
export declare type ExtendedHeaderOptions = {
    body: any;
    qs: any;
};
export declare type DefaultBaseClientOptions = {
    retry: {
        minTimeout: any;
        maxTimeout: any;
        retries: number;
    };
    headers: {
        accept: string;
        'accept-encoding': string;
    };
};
export declare type ApiRequestParams = {
    method: string;
    path: string;
    headers: object | Record<string, unknown> | null;
    body: object | string | number | null;
    qs: ParsedUrlQueryInput | null;
};
export declare type ApiRequestCallback = (err: Error | null, result?: any) => void;
export declare type GetCustomerPurchasesCallback = (err: Error | null, data?: ApiCustomerPurchases) => void;
export declare type GetCustomersBulkInfoCallback = (err: Error | null, data?: Paginated<ApiCustomerSummary>) => void;
export declare type GetCustomersBulkInfoParams = {
    skip?: number;
    limit?: number;
    applicationUsername?: string[];
};
